// .table-scroll {
//     position: relative;
//     width: 100%;
//     z-index: 1;
//     margin: auto;
//     overflow: auto;
//     height: 350px;

//     table {
//         width: 100%;
//         min-width: 1280px;
//         margin: auto;
//         border-collapse: separate;
//         border-spacing: 0;
//     }

//     th,td {
//         padding: 5px 10px;
//         border: 1px solid #000;
//         background: #fff;
//         vertical-align: top;
//     }

//     thead {
//         th {
//             background: #333;
//             color: #fff;
//             position: -webkit-sticky;
//             position: sticky;
//             top: 0;
//         }
//     }

//     tfoot,
//     tfoot th,
//     tfoot td {
//         position: -webkit-sticky;
//         position: sticky;
//         bottom: 0;
//         background: #666;
//         color: #fff;
//         z-index: 4;
//     }

//     th {
//         &:first-child {
//             position: -webkit-sticky;
//             position: sticky;
//             left: 0;
//             z-index: 2;
//             background: #ccc;
//         }
//     }
//     thead th:first-child,
//     tfoot th:first-child {
//         z-index: 5;
//     }
// }

// .first-col {
//     width: 250px;
// }


.cstm-sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
}





.table-head-col-fix-main {
    th {
        z-index: 9991;
        &:first-child,
        &th:nth-child(2) {
            @media (min-width: 1200px) {
                position: -webkit-sticky;
                position: sticky;
                left: 0;
                // background: #fff;
            }
        }
    }
    thead {
        tr {
            &:last-child {
                th {
                    top: 29px;
                    text-align: center;
                    // &:first-child {
                    //     @media (min-width: 1200px) {
                    //         position: -webkit-sticky;
                    //         position: sticky;
                    //         left: 650px;
                    //         z-index: 999;
                    //     }
                    // }
                    // &:nth-child(2) {
                    //     @media (min-width: 1200px) {
                    //         position: -webkit-sticky;
                    //         position: sticky;
                    //         left: 750px;
                    //         z-index: 999;
                    //     }
                    // }
                    // &:nth-child(3) {
                    //     @media (min-width: 1200px) {
                    //         position: -webkit-sticky;
                    //         position: sticky;
                    //         left: 850px;
                    //         z-index: 999;
                    //     }
                    // }
                    // &:nth-child(4) {
                    //     @media (min-width: 1200px) {
                    //         position: -webkit-sticky;
                    //         position: sticky;
                    //         left: 950px;
                    //         z-index: 999;
                    //     }
                    // }
                    // &:nth-child(5) {
                    //     @media (min-width: 1200px) {
                    //         z-index: 1;
                    //     }
                    // }
                }
            }
        }
    }
    tbody {
        td {
            background-color: #f5f5f5;
        }
    }
    tbody tr td:nth-child(2),
    th:nth-child(3),
    tbody tr td:nth-child(3)
     {
        @media (min-width: 1200px) {
            position: -webkit-sticky;
            position: sticky;
            left: 0;
            // background: #fff;
        }
    }
    th:nth-child(2),
    tbody tr td:nth-child(2) {
        @media (min-width: 1200px) {
            left: 50px;
            z-index: 9999;
        }
    }
    th:nth-child(3),
    tbody tr td:nth-child(3) {
        @media (min-width: 1200px) {
            left: 350px;
            z-index: 999;
        }
    }
    // th:nth-child(4),
    // tbody tr td:nth-child(4) {
    //     @media (min-width: 1200px) {
    //         left: 500px;
    //         z-index: 999;
    //     }
    // }
    // th:nth-child(5) {
    //     @media (min-width: 1200px) {
    //         left: 650px;
    //     }
    // }
    // th:nth-child(6) {
    //     @media (min-width: 1200px) {
    //         position: -webkit-sticky;
    //         position: sticky;
    //         left: 850px;
    //         z-index: 99;
    //     }
    // }
    // tbody tr td:nth-child(5) {
    //     @media (min-width: 1200px) {
    //         left: 650px;
    //         z-index: 2;
    //     }
    // } 
    // Quantity Actual
    // tbody tr td:nth-child(6) {
    //     @media (min-width: 1200px) {
    //         position: -webkit-sticky;
    //         position: sticky;
    //         left: 750px;
    //         z-index: 2;
    //     }
    // } 
    // Quantity Billed
    // tbody tr td:nth-child(7) {
    //     @media (min-width: 1200px) {
    //         position: -webkit-sticky;
    //         position: sticky;
    //         left: 0;
    //         z-index: 2;
    //         left: 850px;
    //     }
    // }
    // Fee Total Qty
    // tbody tr td:nth-child(8) {
    //     @media (min-width: 1200px) {
    //         position: -webkit-sticky;
    //         position: sticky;
    //         left: 0;
    //         z-index: 2;
    //         left: 950px;
    //     }
    // } 
    // Fee Total Qty
}

.table-head-col-fix-main tbody th:first-child {
    z-index: 1;
    vertical-align: middle;
    text-align: center;
    z-index: 9999;
    background: #fff;
}

.table-head-col-fix-main th:first-child,
.table-head-col-fix-main th:nth-child(2),
.table-head-col-fix-main th:nth-child(3),
.table-head-col-fix-main th:nth-child(4),
.table-head-col-fix-main th:nth-child(5) {
    z-index: 9999;
}

.table-head-col-fix-main {
    .table td,
    .table th {
        padding: .35rem;
        // font-size: 0.75rem;
    }
}

.sn-col-width {
    width: 40px;
    @media (min-width: 1200px) {
        width: 50px;
    }
}

// .particular-col-width {
//     width: 190px;
//     @media (min-width: 1200px) {
//         width: 300px;
//     }
// }

.table-scroll-x-y {
    position: relative;
    width: 100%;
    z-index: 0;
    margin: auto;
    overflow: auto;
    height: 350px;
    table {
        width: 100%;
        min-width: 1280px;
        margin: auto;
        border-collapse: separate;
        border-spacing: 0;
        table-layout: fixed;
        thead {
            th {
                @extend .cstm-sticky;
                // background-color: #e8e8e8;
                background-color: #fff;
            }
        }
    }
}
table {
    thead {
        tr {
            background-color: #f5f5f9 !important;
            // background-image: -webkit-gradient(linear,0 0,0 100%,from(#f2f2f2),to(#fafafa));
            // background-image: -webkit-linear-gradient(top,#f2f2f2 0,#fafafa 100%);
            // background-image: -moz-linear-gradient(top,#f2f2f2 0,#fafafa 100%);
            // background-image: -ms-linear-gradient(top,#f2f2f2 0,#fafafa 100%);
            // background-image: -o-linear-gradient(top,#f2f2f2 0,#fafafa 100%);
            // background-image: -linear-gradient(top,#f2f2f2 0,#fafafa 100%);
        }
    }
}

.table-scroll-x-y table thead th,
.table.table-head-fixed thead tr th {
    background-color: #f5f5f9 !important;
    // background-image: -webkit-gradient(linear,0 0,0 100%,from(#f2f2f2),to(#fafafa)) !important;
    // background-image: -webkit-linear-gradient(top,#f2f2f2 0,#fafafa 100%) !important;
    // background-image: -moz-linear-gradient(top,#f2f2f2 0,#fafafa 100%) !important;
    // background-image: -ms-linear-gradient(top,#f2f2f2 0,#fafafa 100%) !important;
    // background-image: -o-linear-gradient(top,#f2f2f2 0,#fafafa 100%) !important;
    // background-image: -linear-gradient(top,#f2f2f2 0,#fafafa 100%) !important;
}

.table-hover tbody tr:hover {
    color: #212529;
    background-color: rgba(248, 249, 250, 1);
}